<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/Recipes/CacheObject.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dc2/_cache_object_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">CacheObject.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/dc2/_cache_object_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a63b0fa68ad4ea3b06a459eced6c76a36"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a63b0fa68ad4ea3b06a459eced6c76a36">CacheObject</a> ()</td></tr>
<tr class="separator:a63b0fa68ad4ea3b06a459eced6c76a36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6d6325f707f047efad792f92e85970f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#ac6d6325f707f047efad792f92e85970f">AddRecipe</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipe_id, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask)</td></tr>
<tr class="separator:ac6d6325f707f047efad792f92e85970f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a911ba79166fd9a7f804831bfb826d298"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a911ba79166fd9a7f804831bfb826d298">UpdateMask</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipe_id, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask)</td></tr>
<tr class="separator:a911ba79166fd9a7f804831bfb826d298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f70a17267e5e4b149961149f2744f9d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a4f70a17267e5e4b149961149f2744f9d">GetNumberOfRecipes</a> ()</td></tr>
<tr class="separator:a4f70a17267e5e4b149961149f2744f9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a086a92a0c147d79b41422634fb58a642"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a086a92a0c147d79b41422634fb58a642">GetRecipes</a> ()</td></tr>
<tr class="separator:a086a92a0c147d79b41422634fb58a642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0166c4817e803168efe6ae4b5c5bd9d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a0166c4817e803168efe6ae4b5c5bd9d2">IsContainRecipe</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipe_id)</td></tr>
<tr class="separator:a0166c4817e803168efe6ae4b5c5bd9d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a512dc35a783542dfc4be54883e347b87"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a512dc35a783542dfc4be54883e347b87">GetMaskByRecipeID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipe_id)</td></tr>
<tr class="separator:a512dc35a783542dfc4be54883e347b87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a397ebc34e29fefaffc2b9d50a86ab094"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a397ebc34e29fefaffc2b9d50a86ab094">GetBitCountByRecipeID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> recipe_id)</td></tr>
<tr class="separator:a397ebc34e29fefaffc2b9d50a86ab094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a42b6f468a76a4ea6107c908d52d4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a54a42b6f468a76a4ea6107c908d52d4b">DebugPrint</a> ()</td></tr>
<tr class="separator:a54a42b6f468a76a4ea6107c908d52d4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2dd3d4ba19a58e86cd16f281a6b82c8e"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a></td></tr>
<tr class="separator:a2dd3d4ba19a58e86cd16f281a6b82c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe8346eb816b9d84f65980d2d83b371"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a></td></tr>
<tr class="separator:a4fe8346eb816b9d84f65980d2d83b371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17a167019fe3cd9dfcf3bd14a9a5bb76"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">m_RecipeIDs</a></td></tr>
<tr class="separator:a17a167019fe3cd9dfcf3bd14a9a5bb76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac6d6325f707f047efad792f92e85970f" name="ac6d6325f707f047efad792f92e85970f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6d6325f707f047efad792f92e85970f">&#9670;&#160;</a></span>AddRecipe()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> AddRecipe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipe_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00041">41</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a63b0fa68ad4ea3b06a459eced6c76a36" name="a63b0fa68ad4ea3b06a459eced6c76a36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63b0fa68ad4ea3b06a459eced6c76a36">&#9670;&#160;</a></span>CacheObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CacheObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00035">35</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a54a42b6f468a76a4ea6107c908d52d4b" name="a54a42b6f468a76a4ea6107c908d52d4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54a42b6f468a76a4ea6107c908d52d4b">&#9670;&#160;</a></span>DebugPrint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../dc/d26/class_debug_print.html">DebugPrint</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00097">97</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a397ebc34e29fefaffc2b9d50a86ab094" name="a397ebc34e29fefaffc2b9d50a86ab094"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a397ebc34e29fefaffc2b9d50a86ab094">&#9670;&#160;</a></span>GetBitCountByRecipeID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetBitCountByRecipeID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipe_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00089">89</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a512dc35a783542dfc4be54883e347b87" name="a512dc35a783542dfc4be54883e347b87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a512dc35a783542dfc4be54883e347b87">&#9670;&#160;</a></span>GetMaskByRecipeID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetMaskByRecipeID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipe_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00081">81</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a4f70a17267e5e4b149961149f2744f9d" name="a4f70a17267e5e4b149961149f2744f9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f70a17267e5e4b149961149f2744f9d">&#9670;&#160;</a></span>GetNumberOfRecipes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetNumberOfRecipes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00066">66</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a086a92a0c147d79b41422634fb58a642" name="a086a92a0c147d79b41422634fb58a642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a086a92a0c147d79b41422634fb58a642">&#9670;&#160;</a></span>GetRecipes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt; GetRecipes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00071">71</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a0166c4817e803168efe6ae4b5c5bd9d2" name="a0166c4817e803168efe6ae4b5c5bd9d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0166c4817e803168efe6ae4b5c5bd9d2">&#9670;&#160;</a></span>IsContainRecipe()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsContainRecipe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipe_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00076">76</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a911ba79166fd9a7f804831bfb826d298" name="a911ba79166fd9a7f804831bfb826d298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a911ba79166fd9a7f804831bfb826d298">&#9670;&#160;</a></span>UpdateMask()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UpdateMask </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>recipe_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00058">58</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a2dd3d4ba19a58e86cd16f281a6b82c8e" name="a2dd3d4ba19a58e86cd16f281a6b82c8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dd3d4ba19a58e86cd16f281a6b82c8e">&#9670;&#160;</a></span>int</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a> int</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17a167019fe3cd9dfcf3bd14a9a5bb76" name="a17a167019fe3cd9dfcf3bd14a9a5bb76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17a167019fe3cd9dfcf3bd14a9a5bb76">&#9670;&#160;</a></span>m_RecipeIDs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; m_RecipeIDs</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc2/_cache_object_8c_source.html#l00033">33</a> of file <a class="el" href="../../d5/dc2/_cache_object_8c_source.html">CacheObject.c</a>.</p>

</div>
</div>
<a id="a4fe8346eb816b9d84f65980d2d83b371" name="a4fe8346eb816b9d84f65980d2d83b371"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fe8346eb816b9d84f65980d2d83b371">&#9670;&#160;</a></span>m_Recipes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a> m_Recipes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9c03c092f9469dd2c1a1487fb696496c.html">Recipes</a></li><li class="navelem"><a class="el" href="../../d5/dc2/_cache_object_8c.html">CacheObject.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
